AKAI MPC Software use with MPD218

Hi,

I just want to know if I can use an MPC software that's not the 1.9 version for the MPD218, because I have OS X 1.8.5, and I really do not feel like updating my OS just for one piece of hardware. If so, which one of your legacy softwares would you recommend, and how can I obtain a licence for its use?

Thank you in advance.
1 person has
this question
+1
Reply